Porteus 5.0rc1 NVidia 340.108 driver for older hardware

Please reproduce your error on a second machine before posting, and check the error by running without saved changes or extra modules (See FAQ No. 13, "How to report a bug"). For unstable Porteus versions (alpha, beta, rc) please use the relevant thread in our "Development" section.
Post Reply
User avatar
Rava
Contributor
Contributor
Posts: 2480
Joined: 11 Jan 2011, 02:46
Distribution: Porteus 5.0rc1 x86-64 XFCe
Location: Forests of Germany

Porteus 5.0rc1 NVidia 340.108 driver for older hardware

Post#1 by Rava » 07 Jan 2020, 12:25

Where do I find Porteus 5.0 NVidia driver for older hardware?
I am on Android and Lack the version Infos needed. I update this Post as soon as I get the info.
Cheers!
Yours Rava

User avatar
ncmprhnsbl
DEV Team
DEV Team
Posts: 2480
Joined: 20 Mar 2012, 03:42
Distribution: 5.0rc1-64bit all-DE+more
Location: australia
Contact:

Porteus 5.0 NVidia driver for older hardware

Post#2 by ncmprhnsbl » 07 Jan 2020, 12:45

it's build it yourself, i'm afraid:
[HOWTO] make a xzm module driver for NVIDIA video card
Forum Rules : https://forum.porteus.org/viewtopic.php?f=35&t=44

User avatar
Blaze
DEV Team
DEV Team
Posts: 2879
Joined: 28 Dec 2010, 11:31
Distribution: ⟰ Porteus current ☯ all DEs ☯
Location: ☭ Russian Federation, Lipetsk region, Dankov
Contact:

Porteus 5.0 NVidia driver for older hardware

Post#3 by Blaze » 07 Jan 2020, 14:44

Rava, you are need kernel 5.4.x and 340.108 2019.12.23 Linux 64-bit
NVIDIA-Linux-x86_64-340.108-no-compat32.run
Linux 5.4.8-porteus #1 SMP Sun Jan 5 09:14:47 UTC 2020 x86_64 Intel(R) Core(TM) i5-6600K CPU @ 3.50GHz GenuineIntel GNU/Linux
MS-7A12 » [AMD/ATI] Tobago PRO [Radeon R7 360 / R9 360 OEM] (rev 81) » Vengeance LPX 16GB DDR4 K2 3200MHz C16

User avatar
Rava
Contributor
Contributor
Posts: 2480
Joined: 11 Jan 2011, 02:46
Distribution: Porteus 5.0rc1 x86-64 XFCe
Location: Forests of Germany

Porteus 5.0 NVidia driver for older hardware

Post#4 by Rava » 07 Jan 2020, 15:56

Blaze wrote:
07 Jan 2020, 14:44
Rava, you are need kernel 5.4.x and 340.108 2019.12.23 Linux 64-bit
NVIDIA-Linux-x86_64-340.108-no-compat32.run
Thanks.
Seems your script got no update since the forum not Shows the thread as Updated.
Cheers!
Yours Rava

User avatar
Blaze
DEV Team
DEV Team
Posts: 2879
Joined: 28 Dec 2010, 11:31
Distribution: ⟰ Porteus current ☯ all DEs ☯
Location: ☭ Russian Federation, Lipetsk region, Dankov
Contact:

Porteus 5.0 NVidia driver for older hardware

Post#5 by Blaze » 07 Jan 2020, 15:59

Rava, yep, everything is stable. No update needed.
Linux 5.4.8-porteus #1 SMP Sun Jan 5 09:14:47 UTC 2020 x86_64 Intel(R) Core(TM) i5-6600K CPU @ 3.50GHz GenuineIntel GNU/Linux
MS-7A12 » [AMD/ATI] Tobago PRO [Radeon R7 360 / R9 360 OEM] (rev 81) » Vengeance LPX 16GB DDR4 K2 3200MHz C16

User avatar
Rava
Contributor
Contributor
Posts: 2480
Joined: 11 Jan 2011, 02:46
Distribution: Porteus 5.0rc1 x86-64 XFCe
Location: Forests of Germany

Porteus 5.0 NVidia driver for older hardware

Post#6 by Rava » 10 Jan 2020, 10:19

Blaze wrote:
07 Jan 2020, 15:59
Rava, yep, everything is stable. No update needed.
Took them how long to archive this?

Just kidding, this is free software, one should be patient with updates.
Cheers!
Yours Rava

User avatar
Rava
Contributor
Contributor
Posts: 2480
Joined: 11 Jan 2011, 02:46
Distribution: Porteus 5.0rc1 x86-64 XFCe
Location: Forests of Germany

Porteus 5.0 NVidia driver for older hardware

Post#7 by Rava » 07 Feb 2020, 16:43

Blaze wrote:
07 Jan 2020, 14:44
Rava, you are need kernel 5.4.x and 340.108 2019.12.23 Linux 64-bit
NVIDIA-Linux-x86_64-340.108-no-compat32.run
I did not remember that part and the Nvidia installer exited with

Code: Select all

Received signal SIGBUS; aborting.
root@porteus:/5/Porteus_modules/5.0# echo $?
135
root@porteus:/5/Porteus_modules/5.0#
Still, the Nvidia installer was able to compile some files, but not able to create the /etc/X11/xorg.conf .

I still tried using the resulting module, but X won't start when using it with /etc/X11/xorg.conf from my 010-nvidia-340.107-kernel-4.20.5-porteus-v5.0-x86_64_rava.xzm module. (Maybe the issue can be resolved, so far I have not compared the compiled files list from NV340.108 and kernel 5.1.5-porteus with the functioning one using NV340.107 and kernel 4.20.5-porteus to see if the NV installer crashed prior compiling all files, or only prior creating the xorg.conf file)

Once again, nvidia.sh itself failed since it incorporated some symlinks that are unrelated to the nvidia driver; I did hack nvidia.sh to have these changes:

Code: Select all

# diff nvidiaV2019-07-18_orginal_fulalas+blaze.sh nvidiaV2019-07-18_orginal_fulalas+blaze+ravaHACK.sh 
106,108c106,109
< rm -f /tmp/nvidia.tar.gz
< rm -f /tmp/nvidia.xzm
< rm -rf $INSTALL_TEMP_FOLDER
---
> echo ravaHACK:
> echo NO rm -f /tmp/nvidia.tar.gz
> echo NO rm -f /tmp/nvidia.xzm
> echo NO rm -rf $INSTALL_TEMP_FOLDER
to at least get the changes saved.

I did run nvidia.sh in a ext3 FS, not from /tmp, but still nvidia.sh put all in /tmp and then the creation of the module itself failed cause there was not enough space in /tmp left.

Quite embarrassing, considering that this Image is from a post originally done by me, but altered / enhanced since then by either also you or you and fulalas.

I now try updating the kernel with the newest 5.4.x from neko's kernel thread and try NV340.108 once again.
Cheers!
Yours Rava

User avatar
Rava
Contributor
Contributor
Posts: 2480
Joined: 11 Jan 2011, 02:46
Distribution: Porteus 5.0rc1 x86-64 XFCe
Location: Forests of Germany

Porteus 5.0 NVidia driver for older hardware

Post#8 by Rava » 07 Feb 2020, 17:07

The issue seems to be…

I would like to use this kernel:
neko wrote:
15 Jan 2017, 09:41
64bit-ALL-kernel5.4.18.tar (105 M)
http://www.mediafire.com/file/458qo82hb ... 5.4.18.tar
md5sum: fb4629a2731a6e3af8493510ac8619ba 64bit-ALL-kernel5.4.18.tar
but… the tar lacks 05-devel_k5.4.18.xzm
I presume, trying to compile a NV driver using the kernel5.4.18.tar kernel, the 06-crippled_sources-5.4.18-64bit.xzm and 000-kernel.xzm from the kernel5.4.18.tar - but then using "XXX05-devel_k5.1.5_2019-05-26.xzm" would fail due to a mismatch between kernel and the devel-tools.

Or am I mistaken and it would compile okay?
Cheers!
Yours Rava

User avatar
Rava
Contributor
Contributor
Posts: 2480
Joined: 11 Jan 2011, 02:46
Distribution: Porteus 5.0rc1 x86-64 XFCe
Location: Forests of Germany

Porteus 5.0 NVidia driver for older hardware

Post#9 by Rava » 08 Feb 2020, 11:58

Managed to get a newer kernel running, with these NVidia compile modules.
I all gave them a prefix of XXX so that I can use load=XXX for loading the needed modules. I also noload=000-kernel to not load the standard 5.0rc1 kernel 000-kernel.xzm module.

The kernel used was 5.4.18_x86_64 from neko's tar file he uploaded the other day.

Code: Select all

315dd5e7a68f586343bb5d133462e9da  Boot/vmlinuz_Porteus_5.4.18_x86_64
5c413670c0d3985ef7c94744846838d8  Porteus_5.0rc1/porteus/optional/XXX000-kernl5.4.18.xzm
d4499dbc0320c2fa1d60932216728cf7  Porteus_5.0rc1/porteus/optional/XXX05-devel_5.0rc1+.xzm
2e4226c293d44b5fb23e0c59e0ff9c9e  Porteus_5.0rc1/porteus/optional/XXX06-crippled_sources-5.4.18-64bit.xzm
2380f8f27d1cc512f277c1eedb6b2e11  Porteus_5.0rc1/porteus/optional/XXXblacklist.xzm
Unfortunately, the NVidia compile by NVIDIA-Linux-x86_64-340.108-no-compat32.run ended in a fatal error:

Code: Select all

Received signal SIGBUS; aborting.
These are the last lines of the /var/log/messages/vidia-installer.log

Code: Select all

-> Installing both new and classic TLS OpenGL libraries.
-> Installing classic TLS 32bit OpenGL libraries.
-> Skipping installation of the libvdpau wrapper library.
-> Searching for conflicting X files:
-> done.
-> Searching for conflicting OpenGL files:
-> done.
-> Installing 'NVIDIA Accelerated Graphics Driver for Linux-x86_64' (340.108):
I hacked the nvidia.sh script. The diff is not much:

Code: Select all

106,108c106,109
< rm -f /tmp/nvidia.tar.gz
< rm -f /tmp/nvidia.xzm
< rm -rf $INSTALL_TEMP_FOLDER
---
> echo ravaHACK:
> echo NO rm -f /tmp/nvidia.tar.gz
> echo NO rm -f /tmp/nvidia.xzm
> echo NO rm -rf $INSTALL_TEMP_FOLDER
The creation of the module would fail anyway since by them my /tmp folder would have not enough free space left. But so I could at least save nvidia.tar.gz . If the compiled NVidia drivers are of any use, that I still have to figure out.

Any ideas what might cause the above mentioned SIGBUS error?

The only result when asking DDG for

Code: Select all

"Received signal SIGBUS; aborting." NVIDIA 340.108
is this: Porteus 5.0 NVidia driver for older hardware … LOL.
Cheers!
Yours Rava

neko
DEV Team
DEV Team
Posts: 1635
Joined: 09 Feb 2013, 09:55
Distribution: APorteus-FVWM-ja-x86_64.iso
Location: japan

Porteus 5.0 NVidia driver for older hardware

Post#10 by neko » 08 Feb 2020, 13:26

@Rava
Please refer to Porteus Kernel Builder (Post by neko #75822)

Thanks.

User avatar
Rava
Contributor
Contributor
Posts: 2480
Joined: 11 Jan 2011, 02:46
Distribution: Porteus 5.0rc1 x86-64 XFCe
Location: Forests of Germany

Porteus 5.0rc1 NVidia 340.108 driver for older hardware

Post#11 by Rava » 12 Feb 2020, 22:34

Finally!
Image
(click for full view)

While kernel 5.4.18 was not able to get my notebook soundcard working, and the NVidia driver was for just that machine, running the 5.4.19 kernel the 340.108 NVidia driver compiled okay as well, sound also works with that kernel.

If anyone is in need of the driver, please reply here and I upload it.

Cave! You need neko's 5.4.19 kernel and 001-kernel.xzm
. I used the xz compressed version. (zstd or xz compressed should make no difference for the driver. But be aware that for now all modules I present are xz compressed ones.)

Length:

Code: Select all

-rw-r--r-- 1 root  42328064 2020-02-12 18:17 010-nvidia-340.108-k.5.4.19-porteus-v5.0-x86_64_rava.xzm
-rw-r--r-- 1 root  42332160 2020-02-12 18:16 010-nvidia-340.108-k.5.4.19-porteus-v5.0-x86_64_rava_NVIDIA-libOpenCL.xzm
md5sums:

Code: Select all

0100b943fa4db2f903c94a32df5db8c1  010-nvidia-340.108-k.5.4.19-porteus-v5.0-x86_64_rava.xzm
3486076a19c70d0792b66e1727ed84a2  010-nvidia-340.108-k.5.4.19-porteus-v5.0-x86_64_rava_NVIDIA-libOpenCL.xzm
You might wonder why there are two slightly different in size driver versions.

The one I have in use and that works as it should is the 010-nvidia-340.108-k.5.4.19-porteus-v5.0-x86_64_rava.xzm
In this I removed NVidia's compiled "libOpenCL" library, cause it got compiled without version number, and all programs depending on it complain about that, e.g. mpv or ffmpeg. And I got sick of that error messages.
The "010-nvidia-340.108-k.5.4.19-porteus-v5.0-x86_64_rava_NVIDIA-libOpenCL.xzm" contains the NVidia's compiled "libOpenCL" library, but as it seems, the original Porteus libOpenCL lib works just fine with the NVidia driver.

So, if anyone is in need of the driver, just post here saying so and I would upload he 010-nvidia-340.108-k.5.4.19-porteus-v5.0-x86_64_rava.xzm version.
Cheers!
Yours Rava

otan
White ninja
White ninja
Posts: 4
Joined: 23 Jun 2020, 21:31
Distribution: mint

Porteus 5.0rc1 NVidia 340.108 driver for older hardware

Post#12 by otan » 28 Jun 2020, 14:49

No sound. Mint Trica with linux-firmware 1.173.9 and Linux kernel 5.0.has pic & sound. Need 304 driver. Downloaded 304.1370. Looks like will take week to make. Porteus got special upload URL?

otan
White ninja
White ninja
Posts: 4
Joined: 23 Jun 2020, 21:31
Distribution: mint

Porteus 5.0rc1 NVidia 340.108 driver for older hardware

Post#13 by otan » 04 Jul 2020, 11:08

Never mind. :) Firefox kept on crashing, so gave more temp space with cliexec=mount~--bind~/dev/sdxy/tmp~/tmp. Now ff crashes less et voila have sound! :Yahoo!:

Post Reply